Package groovy.yaml

# Class YamlSlurper

java.lang.Object
groovy.yaml.YamlSlurper

    public class YamlSlurper
    extends java.lang.Object

Represents a YAML parser

Since:
  3.0.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `YamlSlurper()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `parse​(java.io.File file)` | Parse the content of the specified file into a tree of Nodes.
  `java.lang.Object` | `parse​(java.io.InputStream stream)` | Parse the content of the specified reader into a tree of Nodes.
  `java.lang.Object` | `parse​(java.io.Reader reader)` | Parse the content of the specified reader into a tree of Nodes.
  `java.lang.Object` | `parse​(java.nio.file.Path path)` | Parse the content of the specified path into a tree of Nodes.
  `java.lang.Object` | `parseText​(java.lang.String yaml)` | Parse the content of the specified yaml into a tree of Nodes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### YamlSlurper

    public YamlSlurper()

- ## Method Details

  - ### parseText

    public java.lang.Object parseText​(java.lang.String yaml)
    Parse the content of the specified yaml into a tree of Nodes.
    Parameters:
      `yaml` - the content of yaml
    Returns:
      the root node of the parsed tree of Nodes

  - ### parse

    public java.lang.Object parse​(java.io.Reader reader)
    Parse the content of the specified reader into a tree of Nodes.
    Parameters:
      `reader` - the reader of yaml
    Returns:
      the root node of the parsed tree of Nodes

  - ### parse

    public java.lang.Object parse​(java.io.InputStream stream)
    Parse the content of the specified reader into a tree of Nodes.
    Parameters:
      `stream` - the reader of yaml
    Returns:
      the root node of the parsed tree of Nodes

  - ### parse

    public java.lang.Object parse​(java.io.File file) throws java.io.IOException
    Parse the content of the specified file into a tree of Nodes.
    Parameters:
      `file` - the reader of yaml
    Returns:
      the root node of the parsed tree of Nodes
    Throws:
      `java.io.IOException`

  - ### parse

    public java.lang.Object parse​(java.nio.file.Path path) throws java.io.IOException
    Parse the content of the specified path into a tree of Nodes.
    Parameters:
      `path` - the reader of yaml
    Returns:
      the root node of the parsed tree of Nodes
    Throws:
      `java.io.IOException`